Name:           sfml
Version:        2.0
Release:        1%{?dist}
Summary:        Simple and Fast Multimedia Library

License:        zlib and Public Domain
URL:            http://www.sfml-dev.org/
Source0:        http://www.sfml-dev.org/download/sfml/%{version}/SFML-%{version}-sources.zip

Provides:       SFML = %{version}-%{release}
Obsoletes:      SFML < 2.0

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libXrandr-devel
BuildRequires:  openal-devel

%description
SFML is a portable and easy to use multimedia API written in C++. You can see
it as a modern, object-oriented alternative to SDL.
SFML is composed of several packages to perfectly suit your needs. You can use
SFML as a minimal windowing system to interface with OpenGL, or as a
fully-featured multimedia library for building games or interactive programs.

%package        devel
Summary:        Development files for SFML
Requires:       %{name}%{?_isa} = %{version}-%{release}

Provides:       SFML-devel = %{version}-%{release}
Obsoletes:      SFML-devel < 2.0
Requires:       cmake

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use SFML.

%prep
%setup -q -n SFML-%{version}
# fixup non needed executable permission on regular files
find -type f -print0 | xargs -0 chmod -x
# fixup some files line endings
sed -i.bak 's/\r//' license.txt readme.txt
# make sure system-wide libraries are used
rm -rf extlibs

%build
%cmake -DSFML_BUILD_DOC=1 .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# move FindSFML.cmake to the standard location
mkdir -p %{buildroot}%{_libdir}/cmake/SFML
mv %{buildroot}/usr/share/SFML/cmake/Modules/FindSFML.cmake %{buildroot}%{_libdir}/cmake/SFML
# remove duplicated doc
rm -r %{buildroot}/usr/share/SFML

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc readme.txt license.txt
%{_libdir}/*.so.*

%files devel
%doc doc/html/*
%{_includedir}/SFML
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/*

%changelog
* Tue Aug 20 2013 Jonathan De Wachter <sonkun@fedoraproject.org> - 2.0-1
- Initial RPM release
